LUT Buddy: Compatibility & System Requirements


Mac OS X:

10.8.5, 10.9.5, 10.10, 10.11
Mac Intel / 1GB of RAM / 30MB of Hard Drive Space

Windows:

Windows 7 (64-bit), Windows 8 (64-bit), Windows 10 (64-bit)
Pentium 4 2.4 GHz or faster (or AMD equivalent) / 1 GB of RAM / 30MB of Hard Drive space

Host Requirements:

Adobe Premiere CS6, CC, CC 2014, CC 2015, CC 2015.3
Adobe After Effects CS6, CC, CC 2014, CC 2015, CC 2015.3
Apple Final Cut Pro 7*

* You will need to use the Color Suite installer to install LUT Buddy for FCP 7 found here for Mac or here for Windows.

 

Related FAQs:

Have more questions? Submit a request

Comments